Deployments.ai Docs
Security

Show the identity provider and the values to register with it

GET /v1/identity-provider · SDK getIdentityProvider · CLI deployments identity-provider show

GET
/v1/identity-provider

Requires members:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

IdentityProviderResponse

application/json
  1. response
connectionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
displayName*string
issuer*string
jit*|
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
state*|
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
clientId*string
clientSecretSetAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
endpoints*
protocol*"oidc"
Value in"oidc"
redirectUri*string
signingAlgorithms*array<>
tokenEndpointAuthMethod*string
Value in"client_secret_basic""client_secret_post"
curl -X GET "https://example.com/v1/identity-provider" \  -H "x-deployments-organization: string"
{  "connectionId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "issuer": "string",  "jit": {    "kind": "disabled"  },  "organizationId": "string",  "state": {    "enforcement": "optional",    "kind": "active"  },  "updatedAt": "2019-08-24T14:15:22Z",  "clientId": "string",  "clientSecretSetAt": "2019-08-24T14:15:22Z",  "endpoints": {    "authorization": "string",    "jwks": "string",    "token": "string",    "userinfo": "string"  },  "protocol": "oidc",  "redirectUri": "string",  "signingAlgorithms": [    "RS256"  ],  "tokenEndpointAuthMethod": "client_secret_basic"}